### Method

# Gio FilenameCompleter get_completion_suffix

#### Declaration

    char*
    g_filename_completer_get_completion_suffix (
      GFilenameCompleter* completer,
      const char* initial_text
    )

#### Description

Obtains a completion for `initial_text` from `completer`.

#### Parameters

`initial_text`

  Type: `const char*`

  Text to be completed.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

A completed string, or `NULL` if no completion exists. This string is not owned by GIO, so remember to `g_free()` it when finished.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.